Get all folders
curl --request GET \
--url https://api.vantage.sh/v2/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/folders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/folders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/folders",
"first": "https://api.vantage.sh/v2/folders?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/folders?page=1",
"prev": null
},
"folders": [
{
"token": "fldr_314cbb26abd3d3b4",
"title": "4th generation",
"type": "CostFolder",
"parent_folder_token": null,
"saved_filter_tokens": [],
"created_at": "2026-10-05T20:40:17Z",
"updated_at": "2026-10-05T20:40:17Z",
"workspace_token": "wrkspc_76e0840817a6c8a7"
},
{
"token": "fldr_83b74c1478d1b6d3",
"title": "monitoring",
"type": "CostFolder",
"parent_folder_token": "fldr_314cbb26abd3d3b4",
"saved_filter_tokens": [
"svd_fltr_22cd785c608a20c6"
],
"created_at": "2026-10-05T20:40:17Z",
"updated_at": "2026-10-05T20:40:17Z",
"workspace_token": "wrkspc_76e0840817a6c8a7"
}
]
}Folders
Get all folders
Return all Folders.
GET
/
folders
Get all folders
curl --request GET \
--url https://api.vantage.sh/v2/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/folders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/folders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/folders",
"first": "https://api.vantage.sh/v2/folders?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/folders?page=1",
"prev": null
},
"folders": [
{
"token": "fldr_314cbb26abd3d3b4",
"title": "4th generation",
"type": "CostFolder",
"parent_folder_token": null,
"saved_filter_tokens": [],
"created_at": "2026-10-05T20:40:17Z",
"updated_at": "2026-10-05T20:40:17Z",
"workspace_token": "wrkspc_76e0840817a6c8a7"
},
{
"token": "fldr_83b74c1478d1b6d3",
"title": "monitoring",
"type": "CostFolder",
"parent_folder_token": "fldr_314cbb26abd3d3b4",
"saved_filter_tokens": [
"svd_fltr_22cd785c608a20c6"
],
"created_at": "2026-10-05T20:40:17Z",
"updated_at": "2026-10-05T20:40:17Z",
"workspace_token": "wrkspc_76e0840817a6c8a7"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
Filter by folder type.
Available options:
CostFolder, DashboardFolder, ProviderResourceFolder Search folders by title.
The workspace token of the folders to return.